class_name STR_Autoload extends SceneTriggerRegister

@export var autoload_name: StringName

func get_register(owner: Object) -> Node:
	return owner.get_tree().root.get_node_or_null("/root/%s" % autoload_name)
